Subject: Re: [PATCH V4 1/3] mm/thp: Split out pmd collpase flush into a separate functions

From: "Kirill A. Shutemov" <[email-masked]>
Date: Tue, 12 May 2015 12:19:51 +0300

On Tue, May 12, 2015 at 11:38:32AM +0530, Aneesh Kumar K.V wrote:
> Architectures like ppc64 [1] need to do special things while clearing
> pmd before a collapse. For them this operation is largely different
> from a normal hugepage pte clear. Hence add a separate function
> to clear pmd before collapse. After this patch pmdp_* functions
> operate only on hugepage pte, and not on regular pmd_t values
> pointing to page table.
> 
> [1] ppc64 needs to invalidate all the normal page pte mappings we
> already have inserted in the hardware hash page table. But before
> doing that we need to make sure there are no parallel hash page
> table insert going on. So we need to do a kick_all_cpus_sync()
> before flushing the older hash table entries. By moving this to
> a separate function we capture these details and mention how it
> is different from a hugepage pte clear.
> 
> This patch is a cleanup and only does code movement for clarity.
> There should not be any change in functionality.
> 
> Signed-off-by: Aneesh Kumar K.V <[email-masked]>

For the patchset:

Acked-by: Kirill A. Shutemov <[email-masked]>

-- 
 Kirill A. Shutemov